#ifndef _REQUESTER_H_
#define _REQUESTER_H_

class Requester {

public:
  Requester(int);
  ~Requester();

  int  openModem(const TQString & dev);
  int  openLockfile(const TQString & dev, int flags = 0);
  bool removeLockfile();
  int  openResolv(int flags);
  int  openSysLog();
  bool setSecret(int method, const TQString & name, const TQString & password);
  bool removeSecret(int authMethode);
  bool setHostname(const TQString & name);
  bool execPPPDaemon(const TQString & arguments);
  bool killPPPDaemon();
  int  pppdExitStatus();
  bool stop();

public:
  static Requester *rq;
  int lastStatus;

private:
  bool sendRequest(struct RequestHeader *request, int len);
  bool recvResponse();
  int  recvFD();
  int  indexDevice(const TQString & dev);
  int  socket;
  bool expect_alarm;
};

void recv_timeout(int);

#endif
